package com.jpsoft.shinestar.modules.business.dao;

import com.jpsoft.shinestar.modules.business.entity.FillAttendanceFiles;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface FillAttendanceFilesDAO {
	int insert(FillAttendanceFiles entity);
	int update(FillAttendanceFiles entity);
	int exist(String id);
	FillAttendanceFiles get(String id);
	int delete(String id);
	List<FillAttendanceFiles> list();
	List<FillAttendanceFiles> search(Map<String, Object> searchParams, List<Sort> sortList);

    FillAttendanceFiles  findByFillAttendanceId(@Param("fillAttendanceId") String fillAttendanceId);


}